import request from '../../utils/request'
//获取权限信息
export function getVerification(data) {
  return request({
    url: '/api/verification',
    method: 'post',
    data: data
  })
}
// 系统列表
export function getSystemList(data) {
  return request({
    url: '/api/web/system/list',
    method: 'post',
    data: data
  })
}
// 角色列表
export function getRoleList(data) {
  return request({
    url: '/api/web/role/list',
    method: 'post',
    data: data
  })
}
// 模板列表
export function getFunctionList(data) {
  return request({
    url: '/api/web/function/list',
    method: 'post',
    data: data
  })
}
// 模板添加
export function getFunctionAdd(data) {
  return request({
    url: '/api/web/function/add',
    method: 'post',
    data: data
  })
}
// 模板修改
export function getFunctionUpdate(data) {
  return request({
    url: '/api/web/function/update',
    method: 'post',
    data: data
  })
}
// 模板删除
export function getFunctionDel(data) {
  return request({
    url: '/api/web/function/del',
    method: 'post',
    data: data
  })
}

// 用户管理模块接口
// 查询top用户信息接口
export function getTopUserByLoginName(data) {
  return request({
    url: '/api/web/user/getTopUserByLoginName',
    method: 'post',
    data: data
  })
}
// 查询所有权限列表接口
export function getroleAll(data) {
  return request({
    url: '/api/web/role/all',
    method: 'post',
    data: data
  })
}
// 查询地市和区县树形接口（用户列表地区选择框）
export function getCityAreaList(data) {
  return request({
    url: '/api/web/area/tree',
    method: 'post',
    data: data
  })
}
// 查询地市和区县树形接口（添加、修改用户、操作日志地区选择框）
export function getTreeProvinceCity(data) {
  return request({
    url: '/api/web/area/treeProvinceCity',
    method: 'post',
    data: data
  })
}
// 查询用户权限接口
export function getRoleByLoginName(data) {
  return request({
    url: '/api/web/user/getRoleByLoginName',
    method: 'post',
    data: data
  })
}
// 查询用户列表接口
export function getUserList(data) {
  return request({
    url: '/api/web/user/list',
    method: 'post',
    data: data
  })
}
// 添加用户接口
export function getUserAdd(data) {
  return request({
    url: '/api/web/user/add',
    method: 'post',
    data: data
  })
}
// 修改用户接口
export function getUserUpdate(data) {
  return request({
    url: '/api/web/user/update',
    method: 'post',
    data: data
  })
}
// 删除用户接口
export function getUserDel(data) {
  return request({
    url: '/api/web/user/del',
    method: 'post',
    data: data
  })
}
// 查询用户详情接口
export function getUserDetail(data) {
  return request({
    url: '/api/web/user/detail',
    method: 'post',
    data: data
  })
}
// 批量复制权限接口
export function getRoleCopy(data) {
  return request({
    url: '/api/web/user/copyRole',
    method: 'post',
    data: data
  })
}

// 操作日志
export function getOperationLogList(data) {
  return request({
    url: '/api/web/log/operationLog/list',
    method: 'post',
    data: data
  })
}
// 操作导出
export function getOperationLogExport(data) {
  return request({
    url: '/api/web/log/operationLog/export',
    method: 'post',
    data: data
  })
}
// 登录日志
export function getVerificationLogList(data) {
  return request({
    url: '/api/web/log/verificationLog/list',
    method: 'post',
    data: data
  })
}
// 登录导出
export function getVerificationLogExport(data) {
  return request({
    url: '/api/web/log/verificationLog/export',
    method: 'post',
    data: data
  })
}

